tutorial = tutorial or {}
global_allow_change_key_state = false
function tutorial.hide_all_hints()
	hide_ex(0, false, "Tutorial_door")
	hide_ex(0, false, "Tutorial_casket")
	hide_ex(0, false, "Tutorial_key")
	hide_ex(0, false, "Tutorial_lock")
	hide_ex(0, false, "Tutorial_note")
	if global_allow_change_key_state then
		change_invent_state_by_id("Key02", "__inv")
	end
end

function tutorial.start()
    --tutorial.state_lamp_show = false
    tutorial.state_inv_lamp = 1 
    tutorial.state_lamp = nil
    tutorial.state_book = nil
    tutorial.inventory_arrow = nil

	--add_score = tutorial.add_score

    tutorial.last_correct_action_time = tutorial.tutorial_timer.Get().GetTime()
	form_event([[
	
		while true do
			if state("Telephone", "telefone03") then
				if is_object_on_level("Notebook") then
					if state("Door_wardrobe_left", "left01") then
						--дверка закрыта
				        --прячем все хинты
				        -- показываем хинт на дверь 
						tutorial.hide_all_hints()
				        show_ex(0, false, "Tutorial_door")
					else
					    -- дверь открыта
						if not quest.get_scene_widget("level01_miniscene_casket") then
							--минисцены  нет
						    -- показываем хинт на шкатулку
							tutorial.hide_all_hints()
							show_ex(0, false, "Tutorial_casket")
						else
							--минисцена  есть
							if is_object_on_level("Key02") then
				                --ключ на сцене 
				                -- показываем хинт на ключ
								tutorial.hide_all_hints()
								show_ex(0, false, "Tutorial_key")
							elseif cursor("Key02") then
								--ключ в курсоре
								--показываем хинт на зам скважину
								tutorial.hide_all_hints()
								--change_invent_state_by_id("Key02", "__inv")
								show_ex(0, false, "Tutorial_lock")
							elseif is_object_in_inventory("Key02") then
								--ключ в инвентаре
								tutorial.hide_all_hints()
								-- меняем состояние его на ключ со стрелкой хинта 
								if not global_allow_change_key_state then
									sleep(1000)
									global_allow_change_key_state = true
								end
								change_invent_state_by_id("Key02", "__inv2")

							else
								--шкатулка открыта
								--показываем хинт на блокнот
								tutorial.hide_all_hints()
								show_ex(0, false, "Tutorial_note")
							end

						end
					

					end
				else
					--прячим все хинты и выходим
					tutorial.hide_all_hints()
					break
				end
			end
			sleep(50)
		end

	]])
	
end



--[[
if is_object_on_level("Notebook") then
	if state("Door_wardrobe_left", "left01") then
		--дверка закрыта
        --прячем все хинты
        -- показываем хинт на дверь 
        Tutorial_door		
	else
	    -- дверь открыта
		if not quest.get_scene_widget("level01_miniscene_casket") then
			--минисцены  нет
		    -- показываем хинт на шкатулку
			Tutorial_casket
		else
			--минисцена  есть
			if is_object_on_level("Key02") then
                --ключ на сцене 
                -- показываем хинт на ключ
				Tutorial_key				
			elseif is_object_in_inventory("Key02") then
				--ключ в инвентаре
				-- меняем состояние его на ключ со стрелкой хинта 
			elseif cursor("Key02") then
				--ключ в курсоре
				--показываем хинт на зам скважину
				Tutorial_lock

			else
				--шкатулка открыта
				--показываем хинт на блокнот
				Tutorial_note
			end

		end
	

	end
else
	--прячим все хинты и выходим
end
	
		while true do
			if is_object_on_level("lamp") then
				if state("tutorial_bulb", "tutorial_bulb01") then
					if not tutorial.is_pre_arrow_delay() then
					   change_state("tutorial_bulb", "tutorial_bulb02")
					end					
				end
			elseif cursor("lamp") then
				if tutorial.state_lamp == 2 then
					tutorial.state_lamp = 3
					change_state("tutorial_lamp", "tutorial_lamp02")
					
				end

    		    show_ex(nil, false, "tutorial_lamp")
	
    			if not tutorial.state_lamp then
					tutorial.state_lamp = 1
				end
				
                change_invent_state_by_id("lamp", "inv_bulb")
                tutorial.state_inv_lamp = 3
				
			elseif is_object_in_inventory("lamp") then
			    if tutorial.state_inv_lamp == 3 then
			        tutorial.state_inv_lamp = 1
			        if tutorial.inventory_arrow then
			            change_invent_state_by_id("lamp", "inv_arrow")
			        else
			            change_invent_state_by_id("lamp", "__inv")
			        end
			    end
			    
				if tutorial.state_lamp == 1 then
					tutorial.state_lamp = 2
					if not tutorial.inventory_arrow then
                        change_invent_state("lamp")
                        tutorial.inventory_arrow = true
                    end
					
				end
				if not tutorial.inventory_arrow then
					if not tutorial.is_pre_arrow_delay() then
                        change_invent_state("lamp")
                        tutorial.inventory_arrow = true
					end					
				end
				
			    hide_ex(nil, false, "tutorial_lamp")
			
			elseif state("table", "table02") and not tutorial.state_book then
				if tutorial.state_book == nil then
				    show_ex(nil, false,"tutorial_book")
				    tutorial.state_book = 1
				    tutorial.drop_timer()
				end
				
			elseif state("table", "table02") and tutorial.state_book then

				if state("tutorial_book", "tutorial_book01") then
					if not tutorial.is_pre_arrow_delay() then
						change_state("tutorial_book", "tutorial_book02")
						break
					end
				end
			end
			sleep(50)
		end
]]
